Page MenuHomePhabricator

Adopt PSR-4 namespaces in Translate and modernize code
Open, MediumPublic

Description

Manually keeping autoloader class names up to date time consuming and unnecessary burden. Additionally it bloats extensions.json which can get thousands of lines long. Replacing the autoloader section with simple PSR-4 declaration makes it shorter.

Slightly more complicated is to not break other code using Translate's classes, mainly TranslateSVG and CentralNotice come to my mind.

The initial plan for namespace structure is documented in https://www.mediawiki.org/wiki/Extension:Translate/Namespaces

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
Resolvedabi_
Resolvedabi_
Resolvedabi_
ResolvedWangombe
ResolvedWangombe
ResolvedPRODUCTION ERRORabi_
ResolvedBUG REPORTabi_
ResolvedPRODUCTION ERRORUrbanecm
ResolvedPRODUCTION ERRORUmherirrender
ResolvedBUG REPORTNikerabbit
Resolvedabi_
ResolvedWangombe
ResolvedPRODUCTION ERRORabi_
ResolvedPRODUCTION ERRORabi_
ResolvedBUG REPORTabi_
ResolvedWangombe
ResolvedNone
ResolvedWangombe
OpenNone
ResolvedWangombe
ResolvedWangombe
OpenNone
OpenNone

Event Timeline

Nikerabbit triaged this task as Medium priority.Apr 26 2018, 2:38 PM
Nikerabbit updated the task description. (Show Details)
Vvjjkkii renamed this task from Convert Translate to PSR-4 to l5daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Yann renamed this task from l5daaaaaaa to Convert Translate to PSR-4.Jul 1 2018, 12:06 PM
Yann lowered the priority of this task from High to Medium.
Yann updated the task description. (Show Details)
Yann added a subscriber: Aklapper.

Change 724782 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] TranslationAid: Move into namespace

https://gerrit.wikimedia.org/r/724782

Change 725017 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] ApiTranslationAids: Move to namespace

https://gerrit.wikimedia.org/r/725017

Change 724782 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] TranslationAid: Move into namespace

https://gerrit.wikimedia.org/r/724782

Change 725017 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] ApiTranslationAids: Move to namespace

https://gerrit.wikimedia.org/r/725017

Change 735936 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] Move StringMangler & StringMatcher to namespace

https://gerrit.wikimedia.org/r/735936

Change 736194 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] ArrayFlattener: Add strict types

https://gerrit.wikimedia.org/r/736194

Change 736202 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] ArrayFlattener: Move to namespace

https://gerrit.wikimedia.org/r/736202

Change 736229 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] TranslateReplaceTitle: Move to appropriate namespace

https://gerrit.wikimedia.org/r/736229

Change 735936 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] Move StringMangler & StringMatcher to namespace

https://gerrit.wikimedia.org/r/735936

Change 736194 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] ArrayFlattener: Add strict types

https://gerrit.wikimedia.org/r/736194

Change 736202 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] ArrayFlattener: Move to namespace

https://gerrit.wikimedia.org/r/736202

Change 736229 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] TranslateReplaceTitle: Move to appropriate namespace

https://gerrit.wikimedia.org/r/736229

Nikerabbit renamed this task from Convert Translate to PSR-4 to Adopt PSR-4 namespaces in Translate.Jul 28 2022, 8:38 AM
Nikerabbit updated the task description. (Show Details)

Change 869743 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] processMessageChanges: Rename and move to namespace

https://gerrit.wikimedia.org/r/869743

Change 869745 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] Rename processMessageChanges to importExternalTranslations

https://gerrit.wikimedia.org/r/869745

Change 869746 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] Remove processMessageChanges

https://gerrit.wikimedia.org/r/869746

Change 869743 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] processMessageChanges: Rename and move to namespace

https://gerrit.wikimedia.org/r/869743

Change 869745 merged by jenkins-bot:

[translatewiki@master] Rename processMessageChanges to importExternalTranslations

https://gerrit.wikimedia.org/r/869745

Change 869746 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] Remove processMessageChanges

https://gerrit.wikimedia.org/r/869746

Change 881064 had a related patch set uploaded (by Wangombe; author: Wangombe):

[mediawiki/extensions/Translate@master] Move Languageeditstats to Statistics namespace

https://gerrit.wikimedia.org/r/881064

Change 881064 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] Move Languageeditstats to Statistics namespace

https://gerrit.wikimedia.org/r/881064

Change 887385 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] ttmserver/Interfaces: Breakup into separate classes and namespace

https://gerrit.wikimedia.org/r/887385

Change 887385 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] ttmserver/Interfaces: Breakup into separate classes and namespace

https://gerrit.wikimedia.org/r/887385

Change 911757 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[mediawiki/extensions/Translate@master] DatabaseTTMServer: Move to namespace

https://gerrit.wikimedia.org/r/911757

Nikerabbit renamed this task from Adopt PSR-4 namespaces in Translate to Adopt PSR-4 namespaces in Translate and modernize code.Jun 29 2023, 10:13 AM